cascading.flow.planner.rule.expression

## Class SplitBeforeEveryExpression

- java.lang.Object
- - cascading.flow.planner.rule.RuleExpression
  - - cascading.flow.planner.rule.expression.SplitBeforeEveryExpression

-     public class SplitBeforeEveryExpression
      extends RuleExpression

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ElementExpression` | `SHARED`

    - ### Fields inherited from class cascading.flow.planner.rule.RuleExpression

      `contractedMatchExpression, contractionExpression, matchExpression`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SplitBeforeEveryExpression()`

  - ### Method Summary

    - ### Methods inherited from class cascading.flow.planner.rule.RuleExpression

      `getContractedMatchExpression, getContractionExpression, getExpressionName, getMatchExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SHARED

          public static final ElementExpression SHARED

  - ### Constructor Detail

    - #### SplitBeforeEveryExpression

          public SplitBeforeEveryExpression()

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.